Is API v1.4 being depracated?

anmassey

27-07-2020

I am hearing a lot of buzz around v2.0 API. Does that mean that v1.4 will eventually be depracated.

 

If yes, what will be the impact to other services/clients such as rSiteCatalyst and Alteryx? Does that mean the existing workflows will no longer hold good post complete take over by v2.0? Experts on the forum, please advise. 

Accepted Solutions (0)

Answers (1)

Answers (1)

kainth

27-07-2020

Hi @anmassey ,

Based on my understanding, currently Analytics API 1.4 is supported & we haven't released any information regarding deprecating the API 1.4 yet because there are many methods which are still not available in API 2.0 yet. Even multiple tools like Reports & Analytics, Report Builder, etc are also based on API 1.4. So, we will continue to support the API 1.4 until the time the functionalities which are available in API 1.4 will be available for Analytics API 2.0.

Maybe in future Adobe will consider discontinuing API 1.4 in the future but I don't think this will happen until all major methods which are currently available in API 1.4 will be supported in API 2.0 as well.

Hope this helps.

Regards,

Abhinav